Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# os_stdio.h File Reference

`#include "ace/config-lite.h"`
`#include "ace/os_include/os_stdarg.h"`
`#include "ace/os_include/os_stddef.h"`

Include dependency graph for os_stdio.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | ACE_MAX_USERID 32
#define | ACE_STREAMBUF_SIZE 1024
#define | ACE_STDIN GetStdHandle (STD_INPUT_HANDLE)
#define | ACE_STDOUT GetStdHandle (STD_OUTPUT_HANDLE)
#define | ACE_STDERR GetStdHandle (STD_ERROR_HANDLE)
## Typedefs
typedef OVERLAPPED | ACE_OVERLAPPED

## Detailed Description

standard buffered input/output

Id
  os_stdio.h,v 1.11 2006/01/12 10:08:18 jwillemsen Exp

Author:
  Don Hinton <dhinton@dresystems.com>

  This code was originally in various places including ace/OS.h.

## Define Documentation

#define ACE_MAX_USERID 32

#define ACE_STDERR GetStdHandle (STD_ERROR_HANDLE)

#define ACE_STDIN GetStdHandle (STD_INPUT_HANDLE)

#define ACE_STDOUT GetStdHandle (STD_OUTPUT_HANDLE)

#define ACE_STREAMBUF_SIZE 1024

## Typedef Documentation

typedef OVERLAPPED ACE_OVERLAPPED